var searchData=
[
  ['key',['key',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface_1_1_tag_key_value_type.html#a874156c3c9a3933587c1060f843d81f0',1,'alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface::TagKeyValueType::key()'],['../namespacealexa_client_s_d_k_1_1settings_1_1test.html#a30b6ded2378bbf26427886c6951ceea7',1,'alexaClientSDK::settings::test::KEY()'],['../namespacealexa_client_s_d_k_1_1playlist_parser_1_1test.html#a7d5a72a5726e876161d49b107db60d8e',1,'alexaClientSDK::playlistParser::test::KEY()']]],
  ['key1',['key1',['../classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a7ff6a83622c690df9327c1623c552a5e',1,'alexaClientSDK::avsCommon::test::MIMEParserTest::key1()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#acc25918ea0f83fd30c86fc5b64052aed',1,'alexaClientSDK::avsCommon::avs::test::KEY1()']]],
  ['key2',['key2',['../classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a9ab72b9794089443ad201172b06b52ba',1,'alexaClientSDK::avsCommon::test::MIMEParserTest::key2()'],['../namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ad17341c9734ef47062074d8b17f893a8',1,'alexaClientSDK::avsCommon::avs::test::KEY2()']]],
  ['key3',['key3',['../classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#afd8c46ae59258c03b69facb5bc092088',1,'alexaClientSDK::avsCommon::test::MIMEParserTest']]],
  ['key4',['key4',['../classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#abb2d0d65716c6f741bc35ef4f1f9dae5',1,'alexaClientSDK::avsCommon::test::MIMEParserTest']]],
  ['key5',['key5',['../classalexa_client_s_d_k_1_1avs_common_1_1test_1_1_m_i_m_e_parser_test.html#a2db60929fadfce737e4fe8e3b9dd8202',1,'alexaClientSDK::avsCommon::test::MIMEParserTest']]],
  ['key_5fasset_5fid',['KEY_ASSET_ID',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a5912ccd48988be35b67d9f9610132da8',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['key_5fasset_5fplay_5forder',['KEY_ASSET_PLAY_ORDER',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#acbea0c7a90c4ecdb341398ca011995a8',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['key_5fasset_5furl',['KEY_ASSET_URL',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a5228eebc4587caa725eabc80bc3b4f83',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['key_5fassets',['KEY_ASSETS',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#aa7a0af364baef5d18e3ef3d67663c2f2',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['key_5fbackground_5fasset_5fid',['KEY_BACKGROUND_ASSET_ID',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a4abf27307984fbc74d1fbfd61fddd630',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['key_5fcolumn_5fname',['KEY_COLUMN_NAME',['../namespacealexa_client_s_d_k_1_1storage_1_1sqlite_storage.html#a59ecba2494f508656c6e39e88326a21d',1,'alexaClientSDK::storage::sqliteStorage']]],
  ['key_5fformat',['KEY_FORMAT',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#a8acf7ea1596639407471648977be6dd3',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['key_5floop_5fcount',['KEY_LOOP_COUNT',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a1188b2e10ad69833fde57d1b70dbfdad',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['key_5floop_5fpause_5fin_5fmilliseconds',['KEY_LOOP_PAUSE_IN_MILLISECONDS',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a5010230a4d492e2dc1216097e74667a2',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['key_5foffset_5fin_5fmilliseconds',['KEY_OFFSET_IN_MILLISECONDS',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#ac29c3bcbfbc51a44cda5d1a758ef194b',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['key_5fplayer_5factivity',['KEY_PLAYER_ACTIVITY',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#a7f995aadf4826b463213c268fb1becc9',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['key_5fscheduled_5ftime',['KEY_SCHEDULED_TIME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a355c315305ee80cfcbf7572b73e902e4',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['key_5ftoken',['KEY_TOKEN',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a19f461289b993e89d39932f21b1487b8',1,'alexaClientSDK::capabilityAgents::alerts::KEY_TOKEN()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#ab6da6c0bfc87240b9c0d44f689423b79',1,'alexaClientSDK::capabilityAgents::speechSynthesizer::KEY_TOKEN()']]],
  ['key_5ftype',['KEY_TYPE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a25182825b2c27b809161c8ec180f548d',1,'alexaClientSDK::capabilityAgents::alerts']]],
  ['key_5furl',['KEY_URL',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer.html#a3e35fb265529c791dc3b47110f0d74d0',1,'alexaClientSDK::capabilityAgents::speechSynthesizer']]],
  ['key_5fvalue_5fpair_5fseparator',['KEY_VALUE_PAIR_SEPARATOR',['../_logger_test_8cpp.html#a04da45c750acbcce22e82b572f6f9eba',1,'LoggerTest.cpp']]],
  ['key_5fvalue_5fseparator',['KEY_VALUE_SEPARATOR',['../_logger_test_8cpp.html#ab713c086d0b8d00fe2db0a46cb805ec7',1,'LoggerTest.cpp']]],
  ['keytype',['KeyType',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eea',1,'alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface']]],
  ['keyurl',['keyURL',['../structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_encryption_info.html#a594682fcb80aa21a81475cfc5ed75d8b',1,'alexaClientSDK::avsCommon::utils::playlistParser::EncryptionInfo']]],
  ['keyword',['keyword',['../structalexa_client_s_d_k_1_1kwd_1_1_kitt_ai_key_word_detector_1_1_kitt_ai_configuration.html#a6e9d8b4a9bf070a616b16da3aec6f030',1,'alexaClientSDK::kwd::KittAiKeyWordDetector::KittAiConfiguration::keyword()'],['../structalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer_1_1detection_result.html#a4f731887fdec238ab884fd2391995c8a',1,'alexaClientSDK::kwd::test::testKeyWordObserver::detectionResult::keyword()'],['../namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a29dff1e4eb8e21a2ecc3682e3c5a8bdc',1,'alexaClientSDK::kwd::test::KEYWORD()']]],
  ['keyword_5ftext',['KEYWORD_TEXT',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#af5f2f9b3653903b10217927495a77d9d',1,'alexaClientSDK::capabilityAgents::aip::test']]],
  ['keyword_5ftext_5fstop',['KEYWORD_TEXT_STOP',['../classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a8973f2cd1805aa3c75a2a672c80c8fb9',1,'alexaClientSDK::capabilityAgents::aip::AudioInputProcessor']]],
  ['keyworddetectorprovider',['KeywordDetectorProvider',['../classalexa_client_s_d_k_1_1kwd_1_1_keyword_detector_provider.html',1,'alexaClientSDK::kwd']]],
  ['keyworddetectorprovider_2ecpp',['KeywordDetectorProvider.cpp',['../_keyword_detector_provider_8cpp.html',1,'']]],
  ['keyworddetectorprovider_2eh',['KeywordDetectorProvider.h',['../_keyword_detector_provider_8h.html',1,'']]],
  ['keyworddetectorstate',['KeyWordDetectorState',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html#a21803055867165b26a00c12c65aa04b9',1,'alexaClientSDK::avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface']]],
  ['keyworddetectorstateobserverinterface',['KeyWordDetectorStateObserverInterface',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_detector_state_observer_interface.html',1,'alexaClientSDK::avsCommon::sdkInterfaces']]],
  ['keyworddetectorstateobserverinterface_2eh',['KeyWordDetectorStateObserverInterface.h',['../_key_word_detector_state_observer_interface_8h.html',1,'']]],
  ['keywordobserver',['KeywordObserver',['../classalexa_client_s_d_k_1_1sample_app_1_1_keyword_observer.html',1,'alexaClientSDK::sampleApp::KeywordObserver'],['../classalexa_client_s_d_k_1_1sample_app_1_1_keyword_observer.html#a0acdbc01e0beeb177e81e7af2fe7cf58',1,'alexaClientSDK::sampleApp::KeywordObserver::KeywordObserver()']]],
  ['keywordobserver_2ecpp',['KeywordObserver.cpp',['../_keyword_observer_8cpp.html',1,'']]],
  ['keywordobserver_2eh',['KeywordObserver.h',['../_keyword_observer_8h.html',1,'']]],
  ['keywordobserver1',['keyWordObserver1',['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_kitt_ai_key_word_test.html#a023907ce42bd850875298fa66743f8f4',1,'alexaClientSDK::kwd::test::KittAiKeyWordTest::keyWordObserver1()'],['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a7cee9d968d9db2b265c7616759f3a3d8',1,'alexaClientSDK::kwd::test::SensoryKeywordTest::keyWordObserver1()'],['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_abstract_key_word_detector_test.html#a573b2fe33409a7f19cfe5766ee80c66b',1,'alexaClientSDK::kwd::test::AbstractKeyWordDetectorTest::keyWordObserver1()']]],
  ['keywordobserver2',['keyWordObserver2',['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_kitt_ai_key_word_test.html#a26f914f4f42b0d8f7955ad45db861e54',1,'alexaClientSDK::kwd::test::KittAiKeyWordTest::keyWordObserver2()'],['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a8cbb74eb3c440e0f5ec1db5767dbc067',1,'alexaClientSDK::kwd::test::SensoryKeywordTest::keyWordObserver2()'],['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_abstract_key_word_detector_test.html#a8b07942cf2cca36b5e227d98af5ccc3e',1,'alexaClientSDK::kwd::test::AbstractKeyWordDetectorTest::keyWordObserver2()']]],
  ['keywordobserverinterface',['KeyWordObserverInterface',['../classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_key_word_observer_interface.html',1,'alexaClientSDK::avsCommon::sdkInterfaces']]],
  ['keywordobserverinterface_2eh',['KeyWordObserverInterface.h',['../_key_word_observer_interface_8h.html',1,'']]],
  ['kget',['kGET',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55ae0bd139e3b8411576d1407e0600756d0',1,'alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper']]],
  ['kitt_5fai_5fcompatible_5fencoding',['KITT_AI_COMPATIBLE_ENCODING',['../namespacealexa_client_s_d_k_1_1kwd.html#a3d70f642f3e29cff9a9ccbf724091d2d',1,'alexaClientSDK::kwd']]],
  ['kitt_5fai_5fcompatible_5fendianness',['KITT_AI_COMPATIBLE_ENDIANNESS',['../namespacealexa_client_s_d_k_1_1kwd.html#a028a192ad4b5c16ea5f8bc8d6e2ca203',1,'alexaClientSDK::kwd']]],
  ['kitt_5fai_5ferror_5fdetection_5fresult',['KITT_AI_ERROR_DETECTION_RESULT',['../namespacealexa_client_s_d_k_1_1kwd.html#a64c65ba89493b9027ff62bf93a7b77fe',1,'alexaClientSDK::kwd']]],
  ['kitt_5fai_5fno_5fdetection_5fresult',['KITT_AI_NO_DETECTION_RESULT',['../namespacealexa_client_s_d_k_1_1kwd.html#a1f87ba2e059a4ab53ae2199a98b5048c',1,'alexaClientSDK::kwd']]],
  ['kitt_5fai_5fsilence_5fdetection_5fresult',['KITT_AI_SILENCE_DETECTION_RESULT',['../namespacealexa_client_s_d_k_1_1kwd.html#aa5992b3318a27f4c9ee27ff24031a5cc',1,'alexaClientSDK::kwd']]],
  ['kitt_5fdelimiter',['KITT_DELIMITER',['../namespacealexa_client_s_d_k_1_1kwd.html#a5b018fe7ad06916f34f2943115665ed8',1,'alexaClientSDK::kwd']]],
  ['kittai_5fapply_5ffrontend_5fprocessing',['KITTAI_APPLY_FRONTEND_PROCESSING',['../namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a9f1cc7b6ed5c0f5b0089b62feca2dcdf',1,'alexaClientSDK::kwd::test']]],
  ['kittai_5faudio_5fgain',['KITTAI_AUDIO_GAIN',['../namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a09c05eb80edb47ee581fcead830e8f53',1,'alexaClientSDK::kwd::test']]],
  ['kittai_5fsensitivity',['KITTAI_SENSITIVITY',['../namespacealexa_client_s_d_k_1_1kwd_1_1test.html#a18ee8f11b1e84f86999a3ff045f055a3',1,'alexaClientSDK::kwd::test']]],
  ['kittaiconfiguration',['KittAiConfiguration',['../structalexa_client_s_d_k_1_1kwd_1_1_kitt_ai_key_word_detector_1_1_kitt_ai_configuration.html',1,'alexaClientSDK::kwd::KittAiKeyWordDetector']]],
  ['kittaikeyworddetector',['KittAiKeyWordDetector',['../classalexa_client_s_d_k_1_1kwd_1_1_kitt_ai_key_word_detector.html',1,'alexaClientSDK::kwd']]],
  ['kittaikeyworddetector_2ecpp',['KittAiKeyWordDetector.cpp',['../_kitt_ai_key_word_detector_8cpp.html',1,'']]],
  ['kittaikeyworddetector_2eh',['KittAiKeyWordDetector.h',['../_kitt_ai_key_word_detector_8h.html',1,'']]],
  ['kittaikeyworddetectortest_2ecpp',['KittAiKeyWordDetectorTest.cpp',['../_kitt_ai_key_word_detector_test_8cpp.html',1,'']]],
  ['kittaikeywordtest',['KittAiKeyWordTest',['../classalexa_client_s_d_k_1_1kwd_1_1test_1_1_kitt_ai_key_word_test.html',1,'alexaClientSDK::kwd::test']]],
  ['kpost',['kPOST',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55a5596742061fc631cdf6bf2a6fa954df3',1,'alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper']]],
  ['kput',['kPUT',['../classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_curl_easy_handle_wrapper.html#af99f8694e53fbfa4fd3e291f53f7ef55a78da24a91dff79c841b226c0d1641d3f',1,'alexaClientSDK::avsCommon::utils::libcurlUtils::CurlEasyHandleWrapper']]],
  ['kwd_5fmetadata_5fexample',['KWD_METADATA_EXAMPLE',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#a5bf9c46e9f5df046d9f870c177d02835',1,'alexaClientSDK::capabilityAgents::aip::test']]],
  ['kwd_5fmetadata_5ffield_5fname',['KWD_METADATA_FIELD_NAME',['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a9715649e3977c3460ae6a3a39aff6955',1,'alexaClientSDK::capabilityAgents::aip::KWD_METADATA_FIELD_NAME()'],['../namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html#a24c002f81ecda6bb22a214ca1a743c9a',1,'alexaClientSDK::capabilityAgents::aip::test::KWD_METADATA_FIELD_NAME()']]]
];
